import type { Unit } from "./unit.d.ts"

export type Provider = {
	uuid: string
	name: string
	api: string
	description?: string
	price: PriceTable
	/* address for receive payments */
	address: string
}

type PriceTable = {
	[x: string]: ComputingUnit | Unit
}
